summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-04-15 20:49:09 +0200
committerPacho Ramos <pacho@gentoo.org>2018-04-15 21:00:31 +0200
commitb519680452841a787faa5a0ac208c1fc738611d1 (patch)
tree5855a2b582e2b5536def6e717aba3de6abd148c4 /games-arcade
parentgames-arcade/crack-attack: Drop old (diff)
downloadgentoo-b519680452841a787faa5a0ac208c1fc738611d1.tar.gz
gentoo-b519680452841a787faa5a0ac208c1fc738611d1.tar.bz2
gentoo-b519680452841a787faa5a0ac208c1fc738611d1.zip
games-arcade/criticalmass: Stop using games.eclass
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'games-arcade')
-rw-r--r--games-arcade/criticalmass/criticalmass-1.0.2-r1.ebuild62
-rw-r--r--games-arcade/criticalmass/files/criticalmass-1.0.2-cflags.patch4
-rw-r--r--games-arcade/criticalmass/files/criticalmass-1.0.2-libpng14.patch4
-rw-r--r--games-arcade/criticalmass/files/criticalmass-1.0.2-libpng15.patch8
-rw-r--r--games-arcade/criticalmass/files/criticalmass-1.0.2-system_curl.patch12
5 files changed, 76 insertions, 14 deletions
diff --git a/games-arcade/criticalmass/criticalmass-1.0.2-r1.ebuild b/games-arcade/criticalmass/criticalmass-1.0.2-r1.ebuild
new file mode 100644
index 00000000000..5191beb0107
--- /dev/null
+++ b/games-arcade/criticalmass/criticalmass-1.0.2-r1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools desktop flag-o-matic
+
+DESCRIPTION="SDL/OpenGL space shoot'em up game"
+HOMEPAGE="http://criticalmass.sourceforge.net/"
+SRC_URI="mirror://sourceforge/criticalmass/CriticalMass-${PV}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ media-libs/sdl-mixer
+ media-libs/sdl-image[png]
+ media-libs/libpng:0=
+ virtual/opengl
+ net-misc/curl
+"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/CriticalMass-${PV}"
+
+src_prepare() {
+ default
+
+ eapply "${FILESDIR}"/${P}-gcc43.patch \
+ "${FILESDIR}"/${P}-system_curl.patch \
+ "${FILESDIR}"/${P}-libpng14.patch \
+ "${FILESDIR}"/${P}-cflags.patch \
+ "${FILESDIR}"/${P}-libpng15.patch
+
+ rm -rf curl
+
+ mv configure.in configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ append-cxxflags -std=gnu++98 # Bug 612758
+ default
+}
+
+src_install() {
+ HTML_DOCS="Readme.html"
+ default
+ rm -f "${ED}/usr/bin/Packer"
+ newicon critter.png ${PN}.png
+ make_desktop_entry critter "Critical Mass"
+}
+
+pkg_postinst() {
+ if ! has_version "media-libs/sdl-mixer[mod]" ; then
+ ewarn
+ ewarn "To hear music, you will have to rebuild media-libs/sdl-mixer"
+ ewarn "with the \"mod\" USE flag turned on."
+ ewarn
+ fi
+}
diff --git a/games-arcade/criticalmass/files/criticalmass-1.0.2-cflags.patch b/games-arcade/criticalmass/files/criticalmass-1.0.2-cflags.patch
index 8b801e51c2c..0d9063c3753 100644
--- a/games-arcade/criticalmass/files/criticalmass-1.0.2-cflags.patch
+++ b/games-arcade/criticalmass/files/criticalmass-1.0.2-cflags.patch
@@ -1,5 +1,5 @@
---- configure.in.orig 2011-07-20 11:23:19.849122541 -0400
-+++ configure.in 2011-07-20 11:24:28.169713094 -0400
+--- a/configure.in.orig 2011-07-20 11:23:19.849122541 -0400
++++ b/configure.in 2011-07-20 11:24:28.169713094 -0400
@@ -35,9 +35,6 @@
AM_CONDITIONAL(APPLE,test "x$TARGET" = xAPPLE)
AM_CONDITIONAL(WIN32,test "x$TARGET" = xWIN32)
diff --git a/games-arcade/criticalmass/files/criticalmass-1.0.2-libpng14.patch b/games-arcade/criticalmass/files/criticalmass-1.0.2-libpng14.patch
index 882869b43a1..f8a0eec2ad5 100644
--- a/games-arcade/criticalmass/files/criticalmass-1.0.2-libpng14.patch
+++ b/games-arcade/criticalmass/files/criticalmass-1.0.2-libpng14.patch
@@ -1,5 +1,5 @@
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
@@ -99,7 +99,7 @@ if test "x$TARGET" = xWIN32; then
else
LIBS="-L/usr/local/lib -L/usr/X11R6/lib $LIBS"
diff --git a/games-arcade/criticalmass/files/criticalmass-1.0.2-libpng15.patch b/games-arcade/criticalmass/files/criticalmass-1.0.2-libpng15.patch
index ac1b8c0c617..dbdfc9f3227 100644
--- a/games-arcade/criticalmass/files/criticalmass-1.0.2-libpng15.patch
+++ b/games-arcade/criticalmass/files/criticalmass-1.0.2-libpng15.patch
@@ -1,5 +1,5 @@
---- game/main.cpp
-+++ game/main.cpp
+--- a/game/main.cpp
++++ b/game/main.cpp
@@ -28,6 +28,8 @@
#include <sys/stat.h>
#include <sys/types.h>
@@ -9,8 +9,8 @@
void migrateConfig( void)
{
//if onlineCheck is not set, default it to true
---- utilssdl/PNG.cpp
-+++ utilssdl/PNG.cpp
+--- a/utilssdl/PNG.cpp
++++ b/utilssdl/PNG.cpp
@@ -45,7 +45,7 @@
{
png_size_t check;
diff --git a/games-arcade/criticalmass/files/criticalmass-1.0.2-system_curl.patch b/games-arcade/criticalmass/files/criticalmass-1.0.2-system_curl.patch
index 02307ad7d8f..1ab1a2d5ce5 100644
--- a/games-arcade/criticalmass/files/criticalmass-1.0.2-system_curl.patch
+++ b/games-arcade/criticalmass/files/criticalmass-1.0.2-system_curl.patch
@@ -1,5 +1,5 @@
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
@@ -115,8 +115,6 @@ fi
AC_CHECK_LIB(m, sin,,
AC_MSG_ERROR(libm is needed))
@@ -9,8 +9,8 @@
AC_OUTPUT(Makefile utils/Makefile utilssdl/Makefile utilsgl/Makefile game/Makefile tools/Makefile data/Makefile data/music/Makefile tinyxml/Makefile)
echo "Configuration:
---- game/Makefile.am
-+++ game/Makefile.am
+--- a/game/Makefile.am
++++ b/game/Makefile.am
@@ -41,7 +41,7 @@ critter_SOURCES = \
main.cpp
@@ -20,8 +20,8 @@
../utils/libutils.a \
../utilssdl/libutilssdl.a \
../utilsgl/libutilsgl.a \
---- Makefile.am
-+++ Makefile.am
+--- a/Makefile.am
++++ b/Makefile.am
@@ -4,7 +4,7 @@
AUTOMAKE_OPTIONS = 1.4